Skip to main content
PATCH
Update notification settings

Path Parameters

workspaceId
string<uuid>
required

Workspace identifier.

Body

application/json

Request payload for updating notification settings.

Request payload for updating notification settings.

notificationEventsApp
string[]

Notification events to receive in-app.

Defines the type of notification event sent to a user.

Corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for member, connection-sync, detection, redaction, and system notifications. The values mirror the WebhookEvent [blocked] naming for the events the two channels share.

Allowed value: "member.joined"
notificationEventsEmail
string[]

Notification events to receive via email.

Defines the type of notification event sent to a user.

Corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for member, connection-sync, detection, redaction, and system notifications. The values mirror the WebhookEvent [blocked] naming for the events the two channels share.

Allowed value: "member.joined"
notifyViaEmail
boolean

Whether to send email notifications.

Response

Response for notification settings within a workspace.

Response for notification settings within a workspace.

notificationEventsApp
string[]
required

Notification events to receive in-app.

Defines the type of notification event sent to a user.

Corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for member, connection-sync, detection, redaction, and system notifications. The values mirror the WebhookEvent [blocked] naming for the events the two channels share.

Allowed value: "member.joined"
notificationEventsEmail
string[]
required

Notification events to receive via email.

Defines the type of notification event sent to a user.

Corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for member, connection-sync, detection, redaction, and system notifications. The values mirror the WebhookEvent [blocked] naming for the events the two channels share.

Allowed value: "member.joined"
notifyViaEmail
boolean
required

Whether to send email notifications.